- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# template – retrieve contents of file after templating with Jinja2

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Returns a list of strings; for each template in the list of templates you pass in, returns a string containing the results of processing that template.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_terms - |  |  | list of files to template
convert_data boolean | Choices: no yes |  | whether to convert YAML into data. If False, strings that are YAML will be left untouched.
variable_end_string string added in 2.8 | Default: "}}" |  | The string marking the end of a print statement.
variable_start_string string added in 2.8 | Default: "{{" |  | The string marking the beginning of a print statement.

## Examples

    - name: show templating results
      debug:
        msg: "{{ lookup('template', './some_template.j2') }}"

    - name: show templating results with different variable start and end string
      debug:
        msg: "{{ lookup('template', './some_template.j2', variable_start_string='[%', variable_end_string='%]') }}"

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_raw - |  | file(s) content after templating

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]

- This lookup is maintained by the Ansible Community. [community]

### Authors

- Michael DeHaan <michael.dehaan@gmail.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.